*, *::after, *::before {
    box-sizing: border-box;
}
:root{
    --cell-size: 100px;
    --mark-size: calc(var(--cell-size) * .9);
}
body{
    min-height: 100vh;
            min-width: 100vw;
            display: flex;
            justify-content: center;
            align-items: center;
            margin: 0;
    background: linear-gradient(to bottom right, rgb(212 175 55), darkblue);
}
.board{
   
    display: grid;
    justify-content: center;
    align-content: center;
    justify-items: center;
    align-items: center;
    grid-template-columns: repeat(3, auto);
    background-color: darkgray;
    height: 45vmin;
    width: 45vmin;
    border: white 20px solid;
    border-radius: 20% ;
}
.cell{
    width: var(--cell-size);
    height: var(--cell-size);
    border: 5px solid white;
    border-radius: 20%;
    background-color: grey;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    cursor: pointer;
    
}
.cell.x,.cell.kreis {
    cursor: not-allowed;
}
.cell.x::before,
.cell.x::after,
.cell.kreis::before{
    background-color: white;
}

.board.x .cell:not(.x):not(.kreis):hover::before,
.board.x .cell:not(.x):not(.kreis):hover::after,
.board.kreis .cell:not(.x):not(.kreis):hover::before{
    background-color: lightgray;

}

.cell.x::before,
.cell.x::after,
.board.x .cell:not(.x):not(.kreis):hover::before,
.board.x .cell:not(.x):not(.kreis):hover::after {
    content: '';
    position: absolute;
    width: calc(var(--mark-size) * .15);
    height: var(--mark-size);
}
.cell.x::before,
.board.x .cell:not(.x):not(.kreis):hover::before
{
    transform: rotate(135deg);
}
.cell.x::after,
.board.x .cell:not(.x):not(.kreis):hover::after{
    transform: rotate(45deg);
}
.cell.kreis::before,
.cell.kreis::after,
.board.kreis .cell:not(.x):not(.kreis):hover::before,
.board.kreis .cell:not(.x):not(.kreis):hover::after {
    content: '';
    position: absolute;
    border-radius: 50%;

}

.cell.kreis::before,
.board.kreis .cell:not(.x):not(.kreis):hover::before{
    width: var(--mark-size);
    height: var(--mark-size);

}
.cell.kreis::after,
.board.kreis .cell:not(.x):not(.kreis):hover::after{
    width: calc(var(--mark-size) * .7);
    height: calc(var(--mark-size)  *.7);
    background-color: grey;
}
.gewonnen{
    display: none;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, .9);
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 5rem;
    flex-direction: column;
}
.gewonnen button{
    font-size: 3rem;
    background-color: white;
    border: 1px solid black;
    cursor: pointer;
}
.gewonnen button:hover{
    background-color: black;
    color: white; 
    border-color:white ;
}
.gewonnen.show{
    display: flex;
}